TBRUN_TBWRRI(1)

NAME
tbrun_tbw - ti_rri plus tbw-based test bench starter

SYNOPSIS
tbrun_tbwrri [OPTION]... TBENCH [COMMAND]...

DESCRIPTION
tbrun_tbwrri is a convenience script for starting ti_rri(1) plus tbw(1)-based test benches. It will
    -   issue a make(1) command to (re)-build TBENCH.
    -   build a tbw(1) command to start TBENCH.
    -   build a ti_rri(1) command which starts tbw via --run
    -   create a ti_rri command list with
    -   setup commands resulting from --cuff, --fusp, ...
    -   all optional COMMANDS
    -   create a shell pipe to filter the output with tbfilt(1) to determine the success or failure.

OPTIONS
Note: tbrun_tbwrri is implemented as a shell script. If options have an argument it is separated by white space and not by '='! So write '--ghw xxx' and not '--ghw=xxx' !

--dry
    dry run, prints the commands but doesn't execute

--nomake
    don't execute make step (TBENCH neither build nor updated)

--norun
    don't execute test bench (useful to only execute make step)

--lsuf suff
    use '_suff.log' as the suffix for the log file. The default is '_bsim.log'

--stack nnn
    use nnn as ghdl(1) stack size

--ghw fname
    write a ghw file with name 'fname.ghw'

--tbw opts
    append opts to the tbw command

--rri opts
    append opts to the ti_rri command

--pack plist
    add a '--pack=plist' option to ti_rri command

--cuff
    use Cypress FX2 instead of serport, will generate appropriate 'rlc oob' commands. For nexys2 and nexys3 designs.

--fusp
    use 2nd serport, will generate appropriate 'rlc oob' commands. For s3board, nexys2, and nexys3 designs.

--sxon
    switched XON: enable XON flow control with SWI(1), will generate appropriate 'rlc oob' commands and ti_rri --fifo options. For nexys4 designs.

--hxon
    hardwired XON: will generate appropriate ti_rri --fifo options. For basys3 and arty designs.

--pcom
    enables that test bench comments are passed to stdout.

--rlmon
    configures the test bench to enable rlmon (rlink communication monitor, logs all characters read and send by the rlink core). Done in UUT, thus useful only for behavioral simulations.

--rbmon
    configures the test bench to enable rbmon (rbus monitor, logs all rbus transactions). Done in UUT, thus useful only for behavioral simulations.

--bwait time
    add additional time ns startup waiting time for behavioral models.

--swait time
    add additional time ns startup waiting time for post-synthesis and later models.

--help
    print help message and quit.

SEE ALSO
tbw(1), ti_rri(1), tbfilt(1), ghdl(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>